function love.load()
    colormap = love.image.newImageData("coloredmap.png")
    colors = require "colorfinder.lua"
    regmap = love.graphics.newImage("map.png")
    offX = 0
    offY = 0
	love.graphics.setMode(800, 520)
	love.graphics.setBackgroundColor(0, 0, 128)
end

function love.mousepressed(x,y,b)
    r,g,pb,a = colormap:getPixel(x - offX, y - offY)
    print(string.format("r: %d, g: %d, b: %d, a: %d", r, g, pb, a))
    for k,v in pairs(colors) do
	    print(string.format("%s: %d, %d, %d, %d", k, v.r, v.g, v.b, v.a))
    end
end

function love.draw()
--	print("r", r, "g", g, "b", b)
    love.graphics.draw(regmap, offX, offY)
    for _,v in pairs(colors) do
        if r == v.r and g == v.g and pb == v.b then
	    print("found a color")
            love.graphics.print("Why hello there.",0,0)
        end
    end
end
